package com.sky.ioc.service.assets;

import com.sky.ioc.entity.params.IocDateParam;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * TODO
 * @Description  资产
 * @Author LunCe
 * @Date 2023/2/23 17:03
 **/
public interface AssetService {
    ReturnMsg getInvestmentDistribution();

    ReturnMsg getAssetLife();

    ReturnMsg getAssetCount();

    ReturnMsg getOperAssetCoreIndicators(IocDateParam iocDateParam);

    ReturnMsg getAssetAnalysis(IocDateParam iocDateParam);

    ReturnMsg getAssetShareRanking(IocDateParam iocDateParam);

    ReturnMsg getScrapAndMaintain(IocDateParam iocDateParam);

    ReturnMsg getAssetCoreIndicators();

    ReturnMsg getAssetAge(IocDateParam iocDateParam);
}
