package com.sky.ioc.service.canteen;

import com.sky.ioc.entity.params.IocDateParam;
import com.sky.ioc.tool.ReturnMsg;

/**
 * TODO
 * @Description 餐厅
 * @Author LunCe
 * @date 2023/2/22 11:29
 */
public interface RestaurantService {
    ReturnMsg getPaymentAnalysis(IocDateParam iocDateParam);

    ReturnMsg getCoreIndicators(IocDateParam iocDateParam);

    ReturnMsg getWelcomeDishes(IocDateParam iocDateParam);

    ReturnMsg getConsumptionAnalysis(IocDateParam iocDateParam);

    ReturnMsg getTodayMenu();

    ReturnMsg getProfitAnalysis(IocDateParam iocDateParam);

    ReturnMsg getMealAnalysis(IocDateParam iocDateParam);

    ReturnMsg getRestaurantConsumption();

    ReturnMsg getRestaurantConsumptionChart();
}
