package com.sky.ioc.service.carbon;

import com.sky.ioc.entity.params.IocDateParam;
import com.sky.ioc.tool.ReturnMsg;

/**
 * TODO 双碳
 * @Description
 * @Author LunCe
 * @Date 2023/2/22 11:40
 **/
public interface CarbonService {


    ReturnMsg getCarbonQuota();

    ReturnMsg  getPrintingCoreIndicators(IocDateParam iocDateParam);

    ReturnMsg  getPrintingCostTrend(IocDateParam iocDateParam);

    ReturnMsg  getConferenceRoomInfo(IocDateParam iocDateParam);

    ReturnMsg  getBusCoreIndicators(IocDateParam iocDateParam);

    ReturnMsg  getBusInfo(IocDateParam iocDateParam);

    ReturnMsg  getBusCostTrend(IocDateParam iocDateParam);

    ReturnMsg getFloorCoreIndicators(IocDateParam iocDateParam);

    ReturnMsg  getCarbonInfo(IocDateParam iocDateParam);

    ReturnMsg  getCarbonQuotaComposition(IocDateParam iocDateParam);

    ReturnMsg  getCarbonNews(IocDateParam iocDateParam);

    ReturnMsg  getCarbonProportion(IocDateParam iocDateParam);

    ReturnMsg  getVehicleCoreIndicators(IocDateParam iocDateParam);

    ReturnMsg  getVehicleInfo(IocDateParam iocDateParam);

    ReturnMsg  getVehicleInfoOrder(IocDateParam iocDateParam);

    ReturnMsg  getPrintCoreIndicators(IocDateParam iocDateParam);

    ReturnMsg  getPrintInfoOrder(IocDateParam iocDateParam);

    ReturnMsg  getPrintInfo(IocDateParam iocDateParam);

    ReturnMsg  getPhotovoltaicInfoOrder(IocDateParam iocDateParam);

    ReturnMsg  getPhotovoltaicInfo(IocDateParam iocDateParam);

    ReturnMsg  getPhotovoltaicCoreIndicators(IocDateParam iocDateParam);

    ReturnMsg getPhotovoltaicPower();

    ReturnMsg getAnalyseCoreIndicators(IocDateParam iocDateParam);

    ReturnMsg getAnalyseWaterCoreIndicators(IocDateParam iocDateParam);

    ReturnMsg getAnalysePowerCoreIndicators(IocDateParam iocDateParam);

    ReturnMsg getAnalyseHotCoreIndicators(IocDateParam iocDateParam);

    ReturnMsg getAnalyseColdCoreIndicators(IocDateParam iocDateParam);

    ReturnMsg getAnalyseCpvCoreIndicators(IocDateParam iocDateParam);

    ReturnMsg getPhotovoltaicProfit();

    ReturnMsg getEnergyTrendsAnalyseWater();

    ReturnMsg getEnergyTrendsAnalysePower();

    ReturnMsg getEnergyTrendsAnalyseHot();

    ReturnMsg getEnergyTrendsAnalyseCold();

    ReturnMsg getEnergyTrendsAnalyseCpv();

    ReturnMsg getEnergyTrendsTotal();

    ReturnMsg getEnergyTrendsAnalyseCpvInfo();
}
