package com.sky.ioc.service.security.impl;

import com.alibaba.fastjson.JSONObject;
import com.sky.ioc.entity.Indeicator;
import com.sky.ioc.entity.Label;
import com.sky.ioc.entity.params.IocDateParam;
import com.sky.ioc.service.security.SecurityService;
import com.sky.ioc.tool.GeneralMethod;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * TODO
 *
 * @Description
 * @Author LunCe
 * @Date 2023/3/7 10:03
 **/


@Service
public class SecurityServiceImpl implements SecurityService {
    @Override
    public ReturnMsg getLinkageCoreIndicators(IocDateParam iocDateParam) {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        objects.get(0).put("value",1000);
        objects.get(0).put("compare",0.4);

        objects.get(1).put("value",500);
        objects.get(1).put("compare",0.4);

        objects.get(2).put("value",200);
        objects.get(2).put("compare",0.4);

        objects.get(3).put("value","设备离线");
        objects.get(3).put("compare",0.4);
        indeicator.setWorthAttention("防控疫情，缩减访客预约");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getAlarmTrend(IocDateParam iocDateParam) {
        String[] param = {"commonly","important","urgent"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getAlarmClassification(IocDateParam iocDateParam) {
        String[] param = {"alarmNumber"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getEquipmentOnline(IocDateParam iocDateParam) {
        String[] param = {"camera","waterImmersion"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }
}
